Eclipse Platform Release 3.7

## org.eclipse.core.expressions
Interface IVariableResolver

    public interface IVariableResolver

A variable resolver can be used to add additional variable resolving strategies to an `EvaluationContext`.

Since:
  3.0
See Also:
  `EvaluationContext.resolveVariable(String, Object[])`

Method Summary
`Object` `resolve(String name, Object[] args)` Resolves a variable for the given name and arguments.

Method Detail

### resolve

    Object resolve(String name,
                   Object[] args)
                   throws CoreException

  Resolves a variable for the given name and arguments. The handler is allowed to return `null` to indicate that it is not able to resolve the requested variable.

  Parameters:
    `name` - the variable to resolve
    `args` - an object array of arguments used to resolve the variable
  Returns:
    the variable's value or `null` if no variable could be resolved
  Throws:
    `CoreException` - if an errors occurs while resolving the variable

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.